<?php
//
// Copyright (c) 2008-2014 Nagios Enterprises, LLC.  All rights reserved.
//
// Development Started 03/22/2008
// $Id: utils-themes.inc.php 2854 2014-08-23 18:29:04Z swilkerson $

//require_once(dirname(__FILE__).'/common.inc.php');


////////////////////////////////////////////////////////////////////////
// THEME FUNCTIONS
////////////////////////////////////////////////////////////////////////

/**
 * @param $theme
 */
function set_theme($theme)
{

    // set session theme
    $_SESSION["theme"] = $theme;
}

function init_theme()
{
    global $cfg;

    $theme = 'default';
    // set session theme if its not already
    if (!isset($_SESSION["theme"])) {

        // try default language from DB
        $dbtheme = get_option("default_theme");
        if (isset($dbtheme) && have_value($dbtheme)) {
            $theme = $dbtheme;
        } // else use default from CFG
        else if (isset($cfg["default_theme"])) {
            $theme = $cfg["default_theme"];
        }

        // set session theme
        $_SESSION["theme"] = $theme;
    }
}

/**
 * @return array
 */
function get_themes()
{

    $themes = array();

    $base_dir = get_base_dir();
    $theme_dir = $base_dir . "/includes/themes/";
    $files = scandir($theme_dir);
    foreach ($files as $f) {
        if ($f[0] == '.')
            continue;
        $themes[] = $f;
    }

    $themes[] = "none";

    return $themes;
}

/*
function theme_image($img=""){
	$url=get_base_url()."/includes/themes/".$_SESSION["theme"]."/images/".$img;
	return $url;
	}
*/

// just a placeholder for now...
/**
 * @param string $img
 *
 * @return string
 */
function theme_image($img = "")
{
    $url = get_base_url();
    $url .= "images/";
    $url .= $img;
    return $url;
}

